/*-------------------------------------------------------------------
Name......... hif.c
Author....... Mark Perkis
Date......... 19/09/03
Description.. Heber file format loader.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/****	Include Files */
#include	"hardware.h"
#include	"interface.h"
#include	"hif.sp"

/****	Externals */

/****	Local Definitions */

/****	Global Variables */

/****	Local Variables */

/****	Global Constants */

/****	Local Constants */

/************************************************************************
*****	Functions
*************************************************************************/
/*-------------------------------------------------------------------
Name......... LoadHeber()
Author....... Mark Perkins
Date......... 19/09/03
Description.. Load Heber Image File Format.
Parameters... 1) Address of the device
............. 2) File Name
............. 3) Pointer to Heber Image info structure.
............. 4) Pointer to image data address.
Return....... Returns 0 if successfull
............. Returns code if failed
History...... 26/09/03 - Tidy Up  - MP
............. 18/09/03 - First Pass  - MP
-------------------------------------------------------------------*/
UBYTE	LoadHIF(const DEVICE* dev, BYTE *filename,
				HEBERIMAGEINFO *heberinfo, UWORD *dataoutaddress)
{
	HEBERIMAGEINFO *heberimageinfo;
	ULONG	*filedata;

	/* Load File To Memory Pointer */
	if ( !(FAT32LoadFile(dev, filename, dataoutaddress)) )
	{
		/* Get Pointer to Heber Image Information structure and populate */
		heberimageinfo = heberinfo;

		(ULONG)filedata = (ULONG) dataoutaddress;

		/* Populate Image Height */
		heberimageinfo->imageheight = *filedata++;

		/* Populate Image Width */
		heberimageinfo->imagewidth = *filedata++;

		/* Populate Start Of Data */
		heberimageinfo->imagedataaddress = (ULONG)filedata;

	}
	else
	{
		return(FILENOTFOUNDERR);
	}

	return(0);

}
