/*-------------------------------------------------------------------
Name......... mswinbmp.h
Author....... Mark Perkins
Date......... 11/09/03
Description.. Header file for the ms windows bmp file loader.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/* Return Flags */
#define FILENOTFOUNDERR			0x01
#define FILEFORMATERR			0x02
#define FILECOMPRESSEDERR		0x03
#define UNEXPECTEDERR			0x03

#define BYTESWAPWORD(x)	((UWORD)( (x) << 8 ) | ( ((UWORD)(x)) >> 8 ))

/* BMP FILE HEADER STRUCTURE */
#define	BMPFILEHDRSIZE 	14

/* Bit map loader 24 -> 15 bit colour value conversion
Near black pixels replaced by following colour (r=g=b=1)
*/
#define VERY_DARK_GREY	((LONG)(0x421))

typedef struct
{
	UBYTE	type[2];
	ULONG	filesize;
	UBYTE	bfreserved[4];
	ULONG	dataoffset;
} BMPFILEHDR;

/* BMP INFORMATION STRUCTURE */
#define	BMPINFOSIZE 	40

typedef struct
{
	ULONG	infosize;
	ULONG	imagewidth;
	ULONG	imageheight;
	UWORD	planes;
	UWORD	bitcount;
	ULONG	compression;
	ULONG 	imagesize;
	ULONG	xpixpermeter;
	ULONG	ypixpermeter;
	ULONG	colours;
	ULONG	importantcolours;
} BMPINFOHDR;

/* BMP FILE STRUCTURE */
typedef struct
{
	ULONG	imagewidth;
	ULONG	imageheight;
} BMPFILEINFO;

/****	Prototypes */
#include	"mswinbmp.p"

/*************************************************************************/
