/*-------------------------------------------------------------------
Name......... tga.h
Author....... Mark Perkins
Date......... 16/09/03
Description.. Header file for the tga file format loader.
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/
#ifndef INTERFACE_TGA
#define INTERFACE_TGA


#define TGASIGNATURE	"TRUEVISION-XFILE"

#define TGAUNCOMPTRUECOLOUR		0x02

/* TGA FILE HEADER STRUCTURE */
#define	TGAFILEHDRSIZE 	18

typedef struct
{
	UBYTE	id;
	UBYTE	colourmaptype;
	UBYTE	imagetype;
	UBYTE	colourmapspec[4];
	UWORD	xorigin;
	UWORD	yorigin;
	UWORD	width;
	UWORD	height;
	UBYTE	pixeldepth;
	UBYTE	imagedesc;
} TGAFILEHDR;


/* TGA FILE FOOTER STRUCTURE */
#define	TGAFILEFOOTERSIZE 	26

typedef struct
{
	UBYTE	extarea[3];
	UBYTE	devoffset[3];
	UBYTE	signature[16];
	UBYTE	ch;
	UBYTE	zero;
} TGAFILEFOOTER;

/* TGA FILE INFO */
typedef struct
{
	ULONG	imagewidth;
	ULONG	imageheight;
} TGAFILEINFO;


/****	Prototypes */
	#include	"tga.p"

#endif
/*************************************************************************/
